<!-- edited with XMLSpy v2016 rel. 2 sp1 (x64) (http://www.altova.com) by PostNL IT (PostNL Holding B.V.) -->
<!--oorspronkelijke namespace: http://www.opengis.net/sensorml/2.0-->
<schema xmlns="http://www.w3.org/2001/XMLSchema" xmlns:cof2="urn:postnl/ogs/sensorml/2" xmlns:bat2="urn:postnl/ogs/basic_types/2" xmlns:sml2="urn:postnl/ogs/sensorml/2" targetNamespace="urn:postnl/ogs/sensorml/2" elementFormDefault="qualified" attributeFormDefault="unqualified" version="2.0.0">
	<annotation>
		<documentation>The elements supporting configurability and configuration settings of a instance of any process.
        
        SensorML is an OGC Standard.
        Copyright (c) 2014 Open Geospatial Consortium.
        To obtain additional rights of use, visit http://www.opengeospatial.org/legal/ .
        </documentation>
	</annotation>
	<!-- ================================================= -->
	<import namespace="urn:postnl/ogs/basic_types/2" schemaLocation="../Common/basic_types2.xsd"/>
	<include schemaLocation="simple_process.xsd"/>
	<element name="Mode" type="cof2:ModeType" substitutionGroup="cof2:DescribedObject"/>
	<complexType name="ModeType">
		<complexContent>
			<extension base="cof2:DescribedObjectType">
				<sequence>
					<element name="configuration" type="cof2:SettingsPropertyType"/>
				</sequence>
			</extension>
		</complexContent>
	</complexType>
	<complexType name="ModePropertyType">
		<sequence minOccurs="0">
			<element ref="cof2:Mode"/>
		</sequence>
		<attributeGroup ref="bat2:AssociationAttributeGroup"/>
	</complexType>
	<!-- ================================================= -->
	<element name="ModeChoice" type="cof2:ModeChoiceType" substitutionGroup="cof2:AbstractModes">
		<annotation>
			<documentation>A collection of modes from which one can exclusively select during configuration of a process.</documentation>
		</annotation>
	</element>
	<complexType name="ModeChoiceType">
		<complexContent>
			<extension base="cof2:AbstractModesType">
				<sequence>
					<element name="mode" type="cof2:ModePropertyType" minOccurs="1" maxOccurs="unbounded"/>
				</sequence>
			</extension>
		</complexContent>
	</complexType>
	<complexType name="ModeChoicePropertyType">
		<sequence minOccurs="0">
			<element ref="cof2:ModeChoice"/>
		</sequence>
		<attributeGroup ref="bat2:AssociationAttributeGroup"/>
	</complexType>
	<!-- ================================================= -->
	<element name="Settings" type="cof2:SettingsType" substitutionGroup="cof2:AbstractSettings"/>
	<complexType name="SettingsType">
		<complexContent>
			<extension base="cof2:AbstractSettingsType">
				<sequence>
					<element name="setValue" type="cof2:ValueSettingPropertyType" minOccurs="0" maxOccurs="unbounded">
						<annotation>
							<documentation>Allows the setting of a particular property value.</documentation>
						</annotation>
					</element>
					<element name="setArrayValues" type="cof2:ArraySettingPropertyType" minOccurs="0" maxOccurs="unbounded">
						<annotation>
							<documentation>Allows the setting of array values for a particular property.</documentation>
						</annotation>
					</element>
					<element name="setConstraint" type="cof2:ConstraintSettingPropertyType" minOccurs="0" maxOccurs="unbounded">
						<annotation>
							<documentation>Allows one to further restrain the allowed values of a particular property.</documentation>
						</annotation>
					</element>
					<element name="setMode" type="cof2:ModeSettingPropertyType" minOccurs="0" maxOccurs="unbounded">
						<annotation>
							<documentation>Allows one to select a predefined mode, which by inference sets a collection of property values according to the definition of that mode.</documentation>
						</annotation>
					</element>
					<element name="setStatus" type="cof2:StatusSettingPropertyType" minOccurs="0" maxOccurs="unbounded">
						<annotation>
							<documentation>Allows one to set the status (enabled, disabled, etc) of a particular input, output, or parameter.</documentation>
						</annotation>
					</element>
				</sequence>
			</extension>
		</complexContent>
	</complexType>
	<complexType name="SettingsPropertyType">
		<sequence minOccurs="0">
			<element ref="cof2:Settings"/>
		</sequence>
		<attributeGroup ref="bat2:AssociationAttributeGroup"/>
	</complexType>
	<!-- ================================================= -->
	<complexType name="ArraySettingPropertyType">
		<sequence>
			<element name="ArrayValues">
				<complexType>
					<sequence>
						<element name="encoding">
							<complexType>
								<sequence>
									<element ref="bat2:AbstractEncoding"/>
								</sequence>
							</complexType>
						</element>
						<element name="value" type="bat2:EncodedValuesPropertyType"/>
					</sequence>
				</complexType>
			</element>
		</sequence>
		<attribute name="ref" type="cof2:DataComponentPathPropertyType" use="required"/>
	</complexType>
	<!-- ================================================= -->
	<complexType name="ModeSettingPropertyType">
		<simpleContent>
			<extension base="NCName">
				<attribute name="ref" type="cof2:DataComponentPathPropertyType" use="required"/>
			</extension>
		</simpleContent>
	</complexType>
	<!-- ================================================= -->
	<complexType name="ValueSettingPropertyType">
		<simpleContent>
			<extension base="token">
				<attribute name="ref" type="cof2:DataComponentPathPropertyType" use="required"/>
			</extension>
		</simpleContent>
	</complexType>
	<!-- ================================================= -->
	<complexType name="ConstraintSettingPropertyType">
		<sequence>
			<group ref="cof2:Constraint"/>
		</sequence>
		<attribute name="ref" type="cof2:DataComponentPathPropertyType" use="required"/>
	</complexType>
	<!-- ================================================= -->
	<complexType name="StatusSettingPropertyType">
		<simpleContent>
			<extension base="cof2:StatusType">
				<attribute name="ref" type="cof2:DataComponentPathPropertyType" use="required"/>
			</extension>
		</simpleContent>
	</complexType>
	<!-- ================================================= -->
	<group name="Constraint">
		<choice>
			<element ref="bat2:AllowedTimes"/>
			<element ref="bat2:AllowedTokens"/>
			<element ref="bat2:AllowedValues"/>
		</choice>
	</group>
	<complexType name="ConstraintPropertyType">
		<sequence minOccurs="0">
			<group ref="cof2:Constraint"/>
		</sequence>
		<attributeGroup ref="bat2:AssociationAttributeGroup"/>
	</complexType>
	<simpleType name="StatusType">
		<restriction base="string">
			<enumeration value="enabled"/>
			<enumeration value="disabled"/>
		</restriction>
	</simpleType>
</schema>
